%global momorel 1

Summary:	DateTime-Format-Strptime module for perl 
Name:		perl-DateTime-Format-Strptime
Version:	1.0901
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/DateTime/DateTime-Format-Strptime-%{version}.tgz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/DateTime/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:  perl-DateTime >= 0.15
BuildRequires:  perl-DateTime-Locale >= 0.35
BuildRequires:  perl-DateTime-TimeZone >= 0.25
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Params-Validate >= 0.64
Requires:       perl-DateTime >= 0.15
Requires:       perl-DateTime-Locale >= 0.35
Requires:       perl-DateTime-TimeZone >= 0.25
Requires:       perl-Params-Validate >= 0.64
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
DateTime-Format-Strptime module for perl

%prep
%setup -q -n DateTime-Format-Strptime-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > DateTime-Format-Strptime-%{version}-filelist
if [ "$(cat DateTime-Format-Strptime-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f DateTime-Format-Strptime-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Sat May 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0901-1m)
- update to 1.0901

* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0900-1m)
- update to 1.0900

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0800-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0800-1m)
- update to 1.0800

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0702-2m)
- rebuild against gcc43

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0702-1m)
- update to 1.0702
- modify BuildRequires: and Requires: section

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0700-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0700-1m)
- spec file was autogenerated
